> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tokenlab.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# 文字起こしを作成

> 音声を入力言語で文字起こしします

## リクエストボディ

**同期リクエストのタイムアウト:** この非チャットエンドポイントは、ルーティング先モデルの処理完了を待ちます。大きな入力、長い音声、大きなバッチは一般的な 30s のクライアント既定値を超えることがあるため、HTTP クライアントのタイムアウトは少なくとも `120s` に設定してください。

<ParamField body="file" type="file" required>
  文字起こしする音声ファイル。対応形式: flac, mp3, mp4, mpeg, mpga, m4a, ogg, wav, webm。
</ParamField>

<ParamField body="model" type="string" default="whisper-1">
  使用するモデル。現在は `whisper-1` のみサポートされています。
</ParamField>

<ParamField body="language" type="string">
  ISO-639-1 形式の音声言語（例: `en`, `zh`, `ja`）。
</ParamField>

<ParamField body="prompt" type="string">
  モデルのスタイルを誘導したり、前のセグメントの続きを生成したりするための任意のテキスト。
</ParamField>

<ParamField body="response_format" type="string" default="json">
  出力形式: `json`, `text`, `srt`, `verbose_json`, `vtt`。
</ParamField>

<ParamField body="temperature" type="number" default="0">
  サンプリング温度（0 から 1）。
</ParamField>

<ParamField body="timestamp_granularities" type="array">
  タイムスタンプの粒度: `word` および/または `segment`。`verbose_json` が必要です。
</ParamField>

## レスポンス

<ResponseField name="text" type="string">
  文字起こしされたテキスト。
</ResponseField>

`verbose_json` の場合:

<ResponseField name="task" type="string">
  常に `transcribe`。
</ResponseField>

<ResponseField name="language" type="string">
  検出された言語。
</ResponseField>

<ResponseField name="duration" type="number">
  音声の長さ（秒）。
</ResponseField>

<ResponseField name="segments" type="array">
  タイムスタンプ付きの文字起こしセグメント。
</ResponseField>

<ResponseField name="words" type="array">
  単語レベルのタイムスタンプ（要求された場合）。
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST "https://api.tokenlab.sh/v1/audio/transcriptions" \
    -H "Authorization: Bearer sk-your-api-key" \
    -F file="@audio.mp3" \
    -F model="whisper-1" \
    -F language="en"
  ```

  ```python Python theme={null}
  from openai import OpenAI

  client = OpenAI(
      api_key="sk-your-api-key",
      base_url="https://api.tokenlab.sh/v1"
  )

  with open("audio.mp3", "rb") as audio_file:
      response = client.audio.transcriptions.create(
          model="whisper-1",
          file=audio_file,
          language="en"
      )

  print(response.text)
  ```

  ```javascript JavaScript theme={null}
  import OpenAI from 'openai';
  import fs from 'fs';

  const client = new OpenAI({
    apiKey: 'sk-your-api-key',
    baseURL: 'https://api.tokenlab.sh/v1'
  });

  const response = await client.audio.transcriptions.create({
    model: 'whisper-1',
    file: fs.createReadStream('audio.mp3'),
    language: 'en'
  });

  console.log(response.text);
  ```

  ```php PHP theme={null}
  <?php
  $ch = curl_init('https://api.tokenlab.sh/v1/audio/transcriptions');

  $file = new CURLFile('audio.mp3', 'audio/mpeg', 'audio.mp3');

  curl_setopt_array($ch, [
      CURLOPT_RETURNTRANSFER => true,
      CURLOPT_POST => true,
      CURLOPT_HTTPHEADER => [
          'Authorization: Bearer sk-your-api-key'
      ],
      CURLOPT_POSTFIELDS => [
          'file' => $file,
          'model' => 'whisper-1',
          'language' => 'en'
      ]
  ]);

  $response = curl_exec($ch);
  curl_close($ch);

  $data = json_decode($response, true);
  echo $data['text'];
  ```
</RequestExample>

<ResponseExample>
  ```json Response (json) theme={null}
  {
    "text": "Hello, this is a test of the transcription API."
  }
  ```

  ```json Response (verbose_json) theme={null}
  {
    "task": "transcribe",
    "language": "english",
    "duration": 5.5,
    "text": "Hello, this is a test of the transcription API.",
    "segments": [
      {
        "id": 0,
        "start": 0.0,
        "end": 2.5,
        "text": "Hello, this is a test",
        "tokens": [...]
      }
    ]
  }
  ```
</ResponseExample>

## 翻訳

音声を英語に翻訳するには、translations endpoint を使用します:

```python theme={null}
response = client.audio.translations.create(
    model="whisper-1",
    file=audio_file
)
```
